=== debian/changelog ===
ayatana-indicator-power (2.1.2-0+git20211020.1222+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    8cae720697d84061f1b6bac0e3729d96731bc65d).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 20 Oct 2021 21:00:46 +0200

ayatana-indicator-power (2.1.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 17:05:22 +0100

ayatana-indicator-power (2.1.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:30:52 +0200

ayatana-indicator-power (2.0.95-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 25 Jul 2020 13:19:45 +0200

ayatana-indicator-power (2.0.94-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 21 Nov 2019 11:13:35 +0100

ayatana-indicator-power (2.0.93-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 15:15:05 +0100

ayatana-indicator-power (2.0.92-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 20:50:46 +0100

ayatana-indicator-power (2.0.91-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-power code project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 Jun 2017 16:26:11 +0200

indicator-power (12.10.6+15.10.20151005.1-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Sebastien Bacher ]
  * under unity8 start system-settings instead unity-control-center (LP:
    #1489482)

 -- Charles Kerr <charles.kerr@canonical.com>  Mon, 05 Oct 2015 18:44:21 +0000

indicator-power (12.10.6+15.10.20150522-0ubuntu1) wily; urgency=medium

  [ Charles Kerr ]
  * When powerd updates the backlight brightness, update the indicator
    slider to show the new value. (LP: #1370791)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 22 May 2015 17:54:53 +0000

indicator-power (12.10.6+15.10.20150515-0ubuntu1) wily; urgency=medium

  [ Charles Kerr ]
  * Fix timing issue that caused "Adjust brightness automatically"
    menuitem to sometimes not be shown. (LP: #1382861)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 15 May 2015 16:40:33 +0000

indicator-power (12.10.6+15.04.20150402-0ubuntu1) vivid; urgency=medium

  [ Marc Deslauriers ]
  * Change sort order to prefer items with known time remaining

  [ Ubuntu MATE Developers ]
  * This merge proposal adds support for MATE Desktop.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 02 Apr 2015 20:31:02 +0000

indicator-power (12.10.6+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * For the brightness slider, use the same left & right icons as ubunu-
    system-settings (LP: #1289465)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 20:24:46 +0000

indicator-power (12.10.6+15.04.20150212-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Use the new power level icons for a more accurate display of the
    battery level. (LP: #1388235)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 12 Feb 2015 22:45:30 +0000

indicator-power (12.10.6+15.04.20150130-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Publish the primary device's state for on the bus. (LP: #1416096)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Jan 2015 22:51:49 +0000

indicator-power (12.10.6+15.04.20141203-0ubuntu1) vivid; urgency=low

  [ Charles Kerr ]
  * Show the phone menu in the phone greeter.

  [ Christopher Lee ]
  * Fix some minor typos in power testing xml file.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Dec 2014 16:26:04 +0000

indicator-power (12.10.6+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * List missing source for translations

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:55:53 +0000

indicator-power (12.10.6+14.10.20141015-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add mock battery support to make QA testing easier. (LP: #1373511)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Oct 2014 02:46:03 +0000

indicator-power (12.10.6+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Remove the border around the icon when showing a low battery
    notification. (LP: #1378411)

  [ Cody Garver ]
  * Add Switchboard as alternative recommend (LP: #1291051)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:42:16 +0000

indicator-power (12.10.6+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Move the position of this indicator on the panel. (LP: #1377294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 17:31:07 +0000

indicator-power (12.10.6+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Restore the the brightness slider and have the brightness setting
    persist between reboots. (LP: #1289470)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 18:49:45 +0000

indicator-power (12.10.6+14.10.20140909-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add support for UPower 0.99. (LP: #1330037)

