## ayatana-indicator-power 2.1.2-0+git20211021.1224+11.nightly.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##  GSettings schema
 ##
 
-include (UseGSettings)
+find_package(GSettings)
 set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")
 set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
 set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")
@@ -11,8 +11,9 @@
 set (ENV{LC_ALL} "C")
 execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
 
-# let UseGSettings do the rest
-add_schema (${SCHEMA_FILE})
+# let GSettings do the rest
+set(GSETTINGS_COMPILE ON)
+add_schema (${SCHEMA_NAME})
 
 ##
 ##  Systemd Unit File
