=== debian/changelog ===
ayatana-indicator-power (2.1.2-0+git20211021.1224+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    31defa19689dba0eb1a59041441656198d610122).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 21 Oct 2021 11:05:42 +0200
