=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,18 +6,10 @@
                   dbustest-1>=14.04.0)
 include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})
 
-# add warnings
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_WARNING_ARGS}")
-
 # build the necessary schemas
 set_directory_properties (PROPERTIES
                           ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
 set_source_files_properties (gschemas.compiled GENERATED)
-
-# make a XDG_DATA_HOME for sounds/
-set(XDG_DATA_HOME "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_DATADIR}")
-add_definitions(-DXDG_DATA_HOME="${XDG_DATA_HOME}")
-file(COPY "${CMAKE_SOURCE_DIR}/data/sounds" DESTINATION "${XDG_DATA_HOME}/${CMAKE_PROJECT_NAME}")
 
 # GSettings:
 # compile the ayatana-indicator-power schema into a gschemas.compiled file in this directory,
