=== debian/changelog ===
ayatana-indicator-power (22.2.0-1ubuntu0) jammy; urgency=medium

  * debian/patches:
    + Add 1000_add-gaming-input-devices.patch. (LP: #1967854)

 -- Martin Wimpress <code@wimpress.io>  Tue, 05 Apr 2022 12:44:04 +0100

ayatana-indicator-power (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-Ds: lomiri-sounds and lomiri-schemas.
  * debian/rules:
    + Add build flag -DENABLE_LOMIRI_FEATURES.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Feb 2022 15:54:35 +0100

ayatana-indicator-power (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_lomiri-url-dispatcher.patch. Replaced otherwise in this
      upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
    + Drop comment for po/*.po. Not applicable anymore.
  * debian/rules:
    + Adjust for upstream release 2.2.0.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Drop B-D on liblomiri-url-dispatcher-dev.
    + Add B-D on libayatana-common-dev instead.
    + Update S: field (for XFCE, for Budgie).
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 15:49:02 +0100
