## ayatana-indicator-power 22.2.0-0+git20220914.1303+10.nightly.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,8 +79,13 @@
         APPEND
         SERVICE_DEPS
         lomiri-schemas
+        lomiri-sounds
     )
-    add_definitions (-DLOMIRI_FEATURES_ENABLED)
+    pkg_get_variable(LOMIRI_SOUNDSDIR lomiri-sounds soundsdir)
+    add_definitions (
+        -DLOMIRI_FEATURES_ENABLED
+        -DLOMIRI_SOUNDSDIR="${LOMIRI_SOUNDSDIR}"
+    )
 endif ()
 
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
