=== debian/changelog ===
ayatana-indicator-power (22.2.0-0+git20220914.1303+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    0aa1bc1ff263b883e0e91cb5760d6048fb882bba).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 14 Sep 2022 14:29:52 +0200

ayatana-indicator-power (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 20 Feb 2022 15:34:34 +0100

ayatana-indicator-power (2.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 16:35:55 +0100
