## ayatana-indicator-power 22.9.0

=== debian/changelog ===
ayatana-indicator-power (22.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1015055).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:13:09 +0200
