## ayatana-indicator-power 22.9.0-0+git20221020.1310+12.nightly.1

=== debian/changelog ===
ayatana-indicator-power (22.9.0-0+git20221020.1310+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    2b2ee5a8610f20e51509a709a114826219051b2e).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 20 Oct 2022 12:16:00 +0200

ayatana-indicator-power (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 14 Sep 2022 14:25:46 +0200
