=== debian/changelog ===
ayatana-indicator-power (22.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Nov 2022 10:12:30 +0100

ayatana-indicator-power (22.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Nov 2022 22:10:06 +0100
