## ayatana-indicator-power 22.9.4

=== debian/changelog ===
ayatana-indicator-power (22.9.4-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Rework D:/R:/S: fields for Lomiri.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + B-D: Drop versioned constraint on dpkg-dev, libglib2.0-dev and
      libnotify-dev.
    * ayatana-indicator-power: Drop versioned constraint on
      gnome-control-center in Suggests.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 09:39:19 +0100
