## ayatana-indicator-power 22.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "22.9.0")
+set(PROJECT_VERSION "22.9.4")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
