=== debian/changelog ===
ayatana-indicator-power (22.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 23:51:03 +0100
