=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
                cmake-extras (>= 1.5-5~),
                gcovr,
                lcov,
-               libnotify-dev (>= 0.7.6),
-               libglib2.0-dev (>= 2.36),
+               libnotify-dev,
+               libglib2.0-dev,
                libayatana-common-dev (>= 0.9.5),
 # for lomiri features
                lomiri-schemas (>= 0.1.1),
                lomiri-sounds (>= 22.02),
 # for packaging
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                intltool,
 # for tests
                libgtest-dev,
@@ -28,7 +27,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
@@ -39,13 +38,12 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
-         upower,
-Recommends: mate-indicator-applet | xfce4-indicator-plugin,
+         upower | repowerd,
+Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
             zenity,
-Suggests: powerd,
-          unity-system-compositor (>= 0.0.4),
-          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1),
-          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
+Suggests: lomiri-system-compositor,
+          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
+          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
 Breaks: indicator-power,
 Replaces: indicator-power,
 Description: Ayatana Indicator showing power state
