=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_LOMIRI_FEATURES=ON \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     $(NULL)
 
-
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -25,10 +25,13 @@
 override_dh_install:
 	find debian/ayatana-indicator-power -name \*.la -delete
 	find debian/ayatana-indicator-power -name \*.a -delete
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
